Xerces2 Implementation: Class StringListImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.util
Class StringListImpl

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.util.StringListImpl

All Implemented Interfaces:
  org.apache.xerces.xs.StringList

public class StringListImpl
extends java.lang.Object
implements org.apache.xerces.xs.StringList

Containts a list of Object's.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: StringListImpl.java 446723 2006-09-15 20:37:45Z mrglavas $
Author:
  Sandy Gao, IBM

Field Summary
`static org.apache.xerces.xs.StringList` | `EMPTY_LIST` An immutable empty list.

Constructor Summary
`StringListImpl(java.lang.String[] array, int length)` Construct an XSObjectList implementation
`StringListImpl(java.util.Vector v)`

Method Summary
`boolean` | `contains(java.lang.String item)` Checks if the `GenericString` `item` is a member of this list.
`int` | `getLength()` The number of `Objects` in the list.
`java.lang.String` | `item(int index)` Returns the `index`th item in the collection or `null` if `index` is greater than or equal to the number of objects in the list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_LIST

    public static final org.apache.xerces.xs.StringList EMPTY_LIST

  An immutable empty list.

Constructor Detail

### StringListImpl

    public StringListImpl(java.util.Vector v)

### StringListImpl

    public StringListImpl(java.lang.String[] array,
                          int length)

  Construct an XSObjectList implementation
  Parameters:
    `array` - the data array
    `length` - the number of elements

Method Detail

### getLength

    public int getLength()

  The number of `Objects` in the list. The range of valid child node indices is 0 to `length-1` inclusive.
  Specified by:
    `getLength` in interface `org.apache.xerces.xs.StringList`

### contains

    public boolean contains(java.lang.String item)

  Checks if the `GenericString` `item` is a member of this list.
  Specified by:
    `contains` in interface `org.apache.xerces.xs.StringList`
  Parameters:
    `item` - `GenericString` whose presence in this list is to be tested.
  Returns:
    True if this list contains the `GenericString` `item`.

### item

    public java.lang.String item(int index)

  Description copied from interface: `org.apache.xerces.xs.StringList`
  Returns the `index`th item in the collection or `null` if `index` is greater than or equal to the number of objects in the list. The index starts at 0.
  Specified by:
    `item` in interface `org.apache.xerces.xs.StringList`
  Following copied from interface: `org.apache.xerces.xs.StringList`
  Parameters:
    `index` - index into the collection.
  Returns:
    The `GenericString` at the `index`th position in the `StringList`, or `null` if the index specified is not valid.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.